Update person information for authenticated phone number (Portal)

Updates or creates person information associated with the authenticated phone number. This endpoint uses Phone OTP Tokens

Fields that can be updated:

  • preferred_name: Required, non-empty string
  • email_address: Optional, valid email format or null

Response includes all Person fields:

  • id: The id of the person record
  • preferred_name: The preferred name
  • email_address: The email address (can be null)
  • phone_number: The phone number associated with this person
  • role: The person's role (defaults to 'OTHER')
  • allows_email: Whether email communication is allowed
Body Params
string
length ≤ 255

The preferred name for this person

string | null

Email address for this person

string
enum
  • CLIENT - Client
  • CO_CLIENT - Co-Client
  • FAMILY_MEMBER - Family Member
  • ACCOUNTANT - Accountant
  • ATTORNEY - Attorney
  • OTHER - Other
Allowed:
boolean

Whether this person allows email communication

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json